The pfSense Store

Author Topic: upgrade to 2.4.1 cant connect to pppoe wan over vlan  (Read 3045 times)

0 Members and 2 Guests are viewing this topic.

Offline phil94130

  • Newbie
  • *
  • Posts: 2
  • Karma: +0/-0
    • View Profile
Re: upgrade to 2.4.1 cant connect to pppoe wan over vlan
« Reply #30 on: October 31, 2017, 10:10:48 am »
this is a known issue, will be fixed in 2.4.2.

I dont know if its fixed in the current 2.4.2 dev branch.

Thank you for the information

Offline robi

  • Hero Member
  • *****
  • Posts: 956
  • Karma: +74/-2
    • View Profile
Re: upgrade to 2.4.1 cant connect to pppoe wan over vlan
« Reply #31 on: November 01, 2017, 02:29:56 pm »
The biggest pain in the ass comes when you update remotely the box, through a VPN connecting via the PPPoE connection. You won't be able to fix anything until you go there physically. Which can cause severe downtime...

Offline xbipin

  • Hero Member
  • *****
  • Posts: 1631
  • Karma: +6/-0
    • View Profile
Re: upgrade to 2.4.1 cant connect to pppoe wan over vlan
« Reply #32 on: November 02, 2017, 01:32:13 am »
The biggest pain in the ass comes when you update remotely the box, through a VPN connecting via the PPPoE connection. You won't be able to fix anything until you go there physically. Which can cause severe downtime...

directly upgrade to 2.4.2 dev from 2.4 and it will be fine, just skip the 2.4.1 update

Offline jahonix

  • Hero Member
  • *****
  • Posts: 2403
  • Karma: +144/-14
  • volunteer since 2006
    • View Profile
Re: upgrade to 2.4.1 cant connect to pppoe wan over vlan
« Reply #33 on: November 02, 2017, 04:53:18 am »
directly upgrade to 2.4.2 dev ...
Stuntman is your main profession or just a hobby?   8)

Honestly, you don't update a remote machine some serious distance away to a dev snapshot. May I remind you that dev stands for development and may contain glitches and quirks.
And which snapshot timestamp are you talking about? There's probably a newer one already built while we post. Is that fine as well, did you test that on my infrastructure?

You can do so at home if you like but surely not in a remote session to a critical system not within walking reach.
If you are sane, that is.   ;)
Chris

The issue with IPv6 jokes is that almost no one understands them and no one is using them yet.

Offline maverick_slo

  • Hero Member
  • *****
  • Posts: 804
  • Karma: +36/-2
    • View Profile
Re: upgrade to 2.4.1 cant connect to pppoe wan over vlan
« Reply #34 on: November 02, 2017, 06:19:45 am »
I think he meant for this specific case only.
This is the only reasonable thing to do. Better 2.4.2 which is more stable than 2.4.1 at least IMO.

Offline xbipin

  • Hero Member
  • *****
  • Posts: 1631
  • Karma: +6/-0
    • View Profile
Re: upgrade to 2.4.1 cant connect to pppoe wan over vlan
« Reply #35 on: November 02, 2017, 06:44:25 am »
well i too run many boxes which r located in different countries and after testing 2.4.2 dev locally upgraded all of them to it and all work fine, there isnt much changed between 2.4.1 and 2.4.2 dev so its fine, if the dev marking scares u then wait for the stable but for now the only way to solve this pppoe over vlan issue is to use the dev version

Offline virusbcn

  • Jr. Member
  • **
  • Posts: 47
  • Karma: +2/-1
    • View Profile
Re: upgrade to 2.4.1 cant connect to pppoe wan over vlan
« Reply #36 on: November 03, 2017, 11:01:40 am »
Here one other Pfsense KO, i upgrade a 2.4.1 and my PPOE over vlan go out, where can i download the 2.4.2 version to put in my ko pfsense ???


Offline jahonix

  • Hero Member
  • *****
  • Posts: 2403
  • Karma: +144/-14
  • volunteer since 2006
    • View Profile
Chris

The issue with IPv6 jokes is that almost no one understands them and no one is using them yet.

Offline bullet92

  • Jr. Member
  • **
  • Posts: 53
  • Karma: +0/-0
    • View Profile
Re: upgrade to 2.4.1 cant connect to pppoe wan over vlan
« Reply #38 on: November 04, 2017, 04:25:04 am »
I think i'm very unlucky. I have the same problem that PPP doesn't work on vlan so i first tried:
While its running run on console "ifconfig igb1.11 name igb1_11" then from webgui edit the pppoe interface to select the right interface to run on. That should afaik allow for internet access. Until reboot that is..
But this doesn't work for me, PPP still was down. So I tried the procedure below:

Choose Config.xml file.
e) Place cursor in text window. Go to the Web browser's menu to choose the "find" content facility. Search for each occurrence of "interfacename.vlannumber" in config.xml and change the . to _ then save the edited config.xml file. For example igb0.900 to igb0_900
f) Reboot PfSense.
g) System came back up without issue and connected the PPPoE connection immediately. Job done. 15 minutes work max.
And my firewall was stucked in a bootloop: it starts, answer me 5 or 6 pings then restart.... I was able to connect to SSH and restore a previous configuration in this time frame (i think max 5-6 sec). Firewall reboots correctyl and now I have the same problem: my PPP VLAN doesnt works.  Finally i've tried this:

directly upgrade to 2.4.2 dev from 2.4 and it will be fine, just skip the 2.4.1 update
And my firewall was stucked at boot, saying it cant find /boot/kernel/kernel.
 :'( :-X

EDIT: Added IMG error of 2.4.2 from SSD and error from USB (tried 2.4.0. and 2.4.2) USB was the memstick img.gz file and was written by rufus

EDIT2: FreeBSD 11.1 AMD64 Memstick boots fine EDIT3. Nope, it stucks just later.
I've changed USB and now 2.4.2 starts!
« Last Edit: November 04, 2017, 06:54:28 am by bullet92 »

Offline virusbcn

  • Jr. Member
  • **
  • Posts: 47
  • Karma: +2/-1
    • View Profile
Re: upgrade to 2.4.1 cant connect to pppoe wan over vlan
« Reply #39 on: November 04, 2017, 12:08:07 pm »
I have a 2.4.1 that not works after upgrade, i have ppoe over vlan, and now what is the best option to repair it?
Upgrade to 2.4.2dev? How ?  Before i can upgrade offline but now i not have the option, boot from USB 2.4.2dev and upgrade?  Repair my 2.4.1?? How? I don't understand very well what i need to have internet

Offline xbipin

  • Hero Member
  • *****
  • Posts: 1631
  • Karma: +6/-0
    • View Profile
Re: upgrade to 2.4.1 cant connect to pppoe wan over vlan
« Reply #40 on: November 04, 2017, 02:24:30 pm »
Goto the pfsense web gui firmware settings page and select Dev branch rather than stable then check for updates from same place and it will show 2.4.2 Dev directly which you can upgrade to but if your already on 2.4.1 then editing the config file to rename the dot to _ is the only option to get internet working

Offline virusbcn

  • Jr. Member
  • **
  • Posts: 47
  • Karma: +2/-1
    • View Profile
Re: upgrade to 2.4.1 cant connect to pppoe wan over vlan
« Reply #41 on: November 05, 2017, 10:29:01 am »
Goto the pfsense web gui firmware settings page and select Dev branch rather than stable then check for updates from same place and it will show 2.4.2 Dev directly which you can upgrade to but if your already on 2.4.1 then editing the config file to rename the dot to _ is the only option to get internet working

Thank you but i make this and not worked for me, i have an APU2C2 and change my re2.6 to re2_6 and not working, pfsense says me to reorder and config the lans when i restart, i have an Movistar Imagenio config, with 3 VLANs, VoIP, Internet and TV   :-(

I try to download 2.4.0 and restore my config 2.3.4 i hope this working for me .... 

Offline virusbcn

  • Jr. Member
  • **
  • Posts: 47
  • Karma: +2/-1
    • View Profile
Re: upgrade to 2.4.1 cant connect to pppoe wan over vlan
« Reply #42 on: November 05, 2017, 12:08:30 pm »
Now i have installed 2.3.4 version and all is working again, i suggest to pfsense team change 2.4.1 version to "development" or testing, because a lot of people here in Spain for example have this config and if update to 2.4.1 ---- boommm !!!! 

Offline jahonix

  • Hero Member
  • *****
  • Posts: 2403
  • Karma: +144/-14
  • volunteer since 2006
    • View Profile
Re: upgrade to 2.4.1 cant connect to pppoe wan over vlan
« Reply #43 on: November 06, 2017, 05:55:00 am »
... a lot of people here in Spain for example have this config ...
You know, the majority of internet users in Germany (still) use Deutsche Telekom AG (or one of their resellers) as their provider. Everyone here using pfSense with DTAG has this problem ... we need PPPoE on VLAN7. At least if you don't let your modem handle the VLAN untagging. And you cannot change THAT remotely...
Great, isn't it?

...but we would need the finally working IGMP Proxy backported into the 2.3 Branch as well for T-Entertain (IP-TV) but nobody's listening.   :'(
Well, that's only the majority in a small enclave called T-Entertain in Germany.   :o
Chris

The issue with IPv6 jokes is that almost no one understands them and no one is using them yet.

Offline virusbcn

  • Jr. Member
  • **
  • Posts: 47
  • Karma: +2/-1
    • View Profile
Re: upgrade to 2.4.1 cant connect to pppoe wan over vlan
« Reply #44 on: November 06, 2017, 02:52:17 pm »
Yes i need too igmp proxy to view IPTV
Maybe i can test opnsense, i think is the real OpenSource fork